"use strict";
const common_vendor = require("../../common/vendor.js");
const util_getParams = require("../../util/getParams.js");
const _sfc_main = {
  __name: "404",
  setup(__props) {
    const info = common_vendor.ref("");
    common_vendor.onLoad(() => {
      getMessage();
    });
    const getMessage = () => {
      const message = util_getParams.getQueryString("message");
      if (message) {
        info.value = message;
      } else {
        info.value = "404";
      }
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.t(info.value)
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-f50617b2"], ["__file", "E:/workSpace/schoolBus-reservation/pages/404/404.vue"]]);
wx.createPage(MiniProgramPage);
